package com.ruoyi.ehsMyMessage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ehsMyMessage.domain.EhsMyMessage;
import java.util.List;

/**
 * 我的的消息Mapper接口
 *
 * @author ruoyi
 * @date 2024-01-16
 */
public interface EhsMyMessageMapper extends BaseMapper<EhsMyMessage> {
	/**
	 * 查询我的的消息
	 *
	 * @param myMessageId 我的的消息主键
	 * @return 我的的消息
	 */
	public EhsMyMessage selectEhsMyMessageByMyMessageId(Long myMessageId);

	/**
	 * 查询我的的消息列表
	 *
	 * @param ehsMyMessage 我的的消息
	 * @return 我的的消息集合
	 */
	public List<EhsMyMessage> selectEhsMyMessageList(EhsMyMessage ehsMyMessage);

	public EhsMyMessage selectEhsMyMessageByMyMessageMax(EhsMyMessage ehsMyMessage);

	public List<EhsMyMessage> selectUnReadNotice(EhsMyMessage ehsMyMessage);
	public int updatebyKeyUserId(EhsMyMessage ehsMyMessage);
	public int updateHDbyKeyUserId(EhsMyMessage ehsMyMessage);
}
